This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1471168 - SELinux is preventing gsf-office-thum from 'write' accesses on the sock_file socket.
SELinux is preventing gsf-office-thum from 'write' accesses on the sock_file ...
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:122442dd07ba3fce108c47f7d83...
:
: 1490129 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 11:00 EDT by Emanuele Gissi
Modified: 2017-09-10 13:44 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emanuele Gissi 2017-07-14 11:00:04 EDT
Description of problem:
SELinux is preventing gsf-office-thum from 'write' accesses on the sock_file socket.

*****  Plugin catchall (100. confidence) suggests   **************************

If si crede che gsf-office-thum dovrebbe avere possibilità di accesso write sui socket sock_file in modo predefinito.
Then si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Do
allow this access for now by executing:
# ausearch -c 'gsf-office-thum' --raw | audit2allow -M my-gsfofficethum
# semodule -X 300 -i my-gsfofficethum.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                system_u:object_r:syslogd_var_run_t:s0
Target Objects                socket [ sock_file ]
Source                        gsf-office-thum
Source Path                   gsf-office-thum
Port                          <Sconosciuto>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-259.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.11.8-300.fc26.x86_64 #1 SMP Thu
                              Jun 29 20:09:48 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-07-14 16:58:21 CEST
Last Seen                     2017-07-14 16:58:21 CEST
Local ID                      e60b1cf2-d03c-4f6a-abb4-ace6e3655e5b

Raw Audit Messages
type=AVC msg=audit(1500044301.718:263): avc:  denied  { write } for  pid=3266 comm="gsf-office-thum" name="socket" dev="tmpfs" ino=13487 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:object_r:syslogd_var_run_t:s0 tclass=sock_file permissive=1


Hash: gsf-office-thum,thumb_t,syslogd_var_run_t,sock_file,write

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.8-300.fc26.x86_64
type:           libreport

Potential duplicate: bug 1429242
Comment 1 Prasanna Vedantha Desikan 2017-09-10 13:44:17 EDT
*** Bug 1490129 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.